# coding=utf-8

from rest_framework import serializers
from django.conf import settings
from apps.agent.models import Agent,Store

class AgentSerializer(serializers.ModelSerializer):
    create_time = serializers.DateTimeField(format='%Y-%m-%d %H:%M', read_only=True)

    class Meta:
        model = Agent
        fields = '__all__'

    def create(self, validated_data):
        validated_data['create_user'] = self.context['request'].user
        instance = super(AgentSerializer, self).create(validated_data)
        return instance


class AgentComboboxSerializer(serializers.ModelSerializer):
    class Meta:
        model = Agent
        fields = ('id', 'name',)

class StoreComboboxSerializer(serializers.ModelSerializer):
    class Meta:
        model = Store
        fields = ('id', 'name',)

class StoreSerializer(serializers.ModelSerializer):

    class Meta:
        model = Store
        fields = '__all__'
